zenilib: Lib3dsFile Struct Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Public Attributes | List of all members
Lib3dsFile Struct Reference
API

`#include <lib3ds.h>`

## Public Attributes

float | ambient [3]
Lib3dsAtmosphere | atmosphere
Lib3dsBackground | background
Lib3dsCamera ** | cameras
int | cameras_size
float | construction_plane [3]
int | current_frame
int | frames
unsigned | keyf_revision
Lib3dsLight ** | lights
int | lights_size
float | master_scale
Lib3dsMaterial ** | materials
int | materials_size
unsigned | mesh_version
Lib3dsMesh ** | meshes
int | meshes_size
char | name [12+1]
int | ncameras
int | nlights
int | nmaterials
int | nmeshes
Lib3dsNode * | nodes
int | segment_from
int | segment_to
Lib3dsShadow | shadow
unsigned | user_id
void * | user_ptr
Lib3dsViewport | viewport
Lib3dsViewport | viewport_keyf

## Detailed Description

Definition at line 524 of file lib3ds.h.

## Member Data Documentation

float Lib3dsFile::ambient[3]

Definition at line 532 of file lib3ds.h.

Referenced by ambient_read(), and mdata_write().

Lib3dsAtmosphere Lib3dsFile::atmosphere

Definition at line 535 of file lib3ds.h.

Referenced by mdata_read(), and mdata_write().

Lib3dsBackground Lib3dsFile::background

Definition at line 534 of file lib3ds.h.

Referenced by mdata_read(), and mdata_write().

Lib3dsCamera** Lib3dsFile::cameras

Definition at line 547 of file lib3ds.h.

Referenced by lib3ds_file_bounding_box_of_objects(), lib3ds_file_camera_by_name(), lib3ds_file_insert_camera(), lib3ds_file_remove_camera(), lib3ds_file_reserve_cameras(), and mdata_write().

int Lib3dsFile::cameras_size

Definition at line 545 of file lib3ds.h.

Referenced by lib3ds_file_insert_camera(), and lib3ds_file_reserve_cameras().

float Lib3dsFile::construction_plane[3]

Definition at line 531 of file lib3ds.h.

Referenced by mdata_read(), and mdata_write().

int Lib3dsFile::current_frame

Definition at line 541 of file lib3ds.h.

Referenced by kfdata_read(), kfdata_write(), and lib3ds_file_new().

int Lib3dsFile::frames

Definition at line 538 of file lib3ds.h.

Referenced by Zeni::Model::get_keyframes(), kfdata_read(), kfdata_write(), and lib3ds_file_new().

unsigned Lib3dsFile::keyf_revision

Definition at line 528 of file lib3ds.h.

Referenced by kfdata_read(), kfdata_write(), and lib3ds_file_new().

Lib3dsLight** Lib3dsFile::lights

Definition at line 550 of file lib3ds.h.

Referenced by lib3ds_file_bounding_box_of_objects(), lib3ds_file_insert_light(), lib3ds_file_light_by_name(), lib3ds_file_remove_light(), lib3ds_file_reserve_lights(), and mdata_write().

int Lib3dsFile::lights_size

Definition at line 548 of file lib3ds.h.

Referenced by lib3ds_file_insert_light(), and lib3ds_file_reserve_lights().

float Lib3dsFile::master_scale

Definition at line 530 of file lib3ds.h.

Referenced by lib3ds_file_new(), mdata_read(), and mdata_write().

Lib3dsMaterial** Lib3dsFile::materials

Definition at line 544 of file lib3ds.h.

Referenced by face_array_write(), lib3ds_file_insert_material(), lib3ds_file_material_by_name(), lib3ds_file_remove_material(), lib3ds_file_reserve_materials(), and mdata_write().

int Lib3dsFile::materials_size

Definition at line 542 of file lib3ds.h.

Referenced by lib3ds_file_insert_material(), and lib3ds_file_reserve_materials().

unsigned Lib3dsFile::mesh_version

Definition at line 527 of file lib3ds.h.

Referenced by lib3ds_file_new(), lib3ds_file_read(), lib3ds_file_write(), mdata_read(), and mdata_write().

Lib3dsMesh** Lib3dsFile::meshes

Definition at line 553 of file lib3ds.h.

Referenced by file_bounding_box_of_nodes_impl(), lib3ds_file_bounding_box_of_objects(), lib3ds_file_create_nodes_for_meshes(), lib3ds_file_insert_mesh(), lib3ds_file_mesh_by_name(), lib3ds_file_mesh_for_node(), lib3ds_file_remove_mesh(), lib3ds_file_reserve_meshes(), mdata_write(), and Zeni::Model::visit_meshes().

int Lib3dsFile::meshes_size

Definition at line 551 of file lib3ds.h.

Referenced by lib3ds_file_insert_mesh(), and lib3ds_file_reserve_meshes().

char Lib3dsFile::name[12+1]

Definition at line 529 of file lib3ds.h.

Referenced by kfdata_read(), kfdata_write(), and lib3ds_file_new().

int Lib3dsFile::ncameras

Definition at line 546 of file lib3ds.h.

Referenced by lib3ds_file_bounding_box_of_objects(), lib3ds_file_camera_by_name(), lib3ds_file_insert_camera(), lib3ds_file_remove_camera(), lib3ds_file_reserve_cameras(), and mdata_write().

int Lib3dsFile::nlights

Definition at line 549 of file lib3ds.h.

Referenced by lib3ds_file_insert_light(), lib3ds_file_light_by_name(), lib3ds_file_remove_light(), lib3ds_file_reserve_lights(), and mdata_write().

int Lib3dsFile::nmaterials

Definition at line 543 of file lib3ds.h.

Referenced by face_array_write(), lib3ds_file_insert_material(), lib3ds_file_material_by_name(), lib3ds_file_remove_material(), lib3ds_file_reserve_materials(), and mdata_write().

int Lib3dsFile::nmeshes

Definition at line 552 of file lib3ds.h.

Referenced by lib3ds_file_bounding_box_of_objects(), lib3ds_file_create_nodes_for_meshes(), lib3ds_file_insert_mesh(), lib3ds_file_mesh_by_name(), lib3ds_file_remove_mesh(), lib3ds_file_reserve_meshes(), mdata_write(), and Zeni::Model::visit_meshes().

Lib3dsNode* Lib3dsFile::nodes

Definition at line 554 of file lib3ds.h.

Referenced by kfdata_read(), kfdata_write(), lib3ds_file_append_node(), lib3ds_file_bounding_box_of_nodes(), lib3ds_file_eval(), lib3ds_file_free(), lib3ds_file_insert_node(), lib3ds_file_minmax_node_id(), lib3ds_file_node_by_id(), lib3ds_file_node_by_name(), lib3ds_file_remove_node(), Zeni::Model::visit_meshes(), and Zeni::Model::visit_nodes().

int Lib3dsFile::segment_from

Definition at line 539 of file lib3ds.h.

Referenced by kfdata_read(), kfdata_write(), and lib3ds_file_new().

int Lib3dsFile::segment_to

Definition at line 540 of file lib3ds.h.

Referenced by kfdata_read(), kfdata_write(), and lib3ds_file_new().

Lib3dsShadow Lib3dsFile::shadow

Definition at line 533 of file lib3ds.h.

Referenced by mdata_read(), and mdata_write().

unsigned Lib3dsFile::user_id

Definition at line 525 of file lib3ds.h.

void* Lib3dsFile::user_ptr

Definition at line 526 of file lib3ds.h.

Lib3dsViewport Lib3dsFile::viewport

Definition at line 536 of file lib3ds.h.

Referenced by mdata_read(), and mdata_write().

Lib3dsViewport Lib3dsFile::viewport_keyf

Definition at line 537 of file lib3ds.h.

Referenced by kfdata_read(), and kfdata_write().

The documentation for this struct was generated from the following file:

- zenilib/jni/external/lib3ds/src/lib3ds.h